/*
   Copyright (c) 1993 by Barking Spider Software, Inc.  All rights reserved
                                                                           
   Filename...:  spider.h
   
   Version,,,,:  1.0
   
   Language...:  Microsoft C/C++ 7.0
   
   Model......:  Small
   
   Environment:  Microsoft Windows 3.1
                                                                           
   Description:  This source module demonstrates the BSS Tree Control.  It 
                 is a very simple example.  It just creates a tree and
                 provides the minimum support.  One top level window is
                 created similar to the standard GENERIC app.  In the
                 handling of the WM_CREATE message in this window's
                 associated window procedure, the BSS Tree Control is
                 created and a root tree node is inserted into the empty
                 tree along with five children to this node.
                 
                 To close the application, the user selects the Close option
                 in the system menu.
                 
                 The below code shows how to create a list, add nodes, delete
                 nodes and the clean-up process for destroying the list.
                 
                 For more documentation on the BSS Tree/List Control APIs,
                 structures, notifications, and error codes, refer to the
                 header file BSTREE.H.
   Notes......:             
                                                                           
   History....:  
                                                                              
   Author.....:  Peter J. Kaufman
*/	

static char *szSpider [] = {
  "Ant-mimic Spider",
  "Lynx Spider",
  "Nursery-web Spider",
  "Orb Weaver",
  "Barn Spider",
  "Garden Spider",
  "Burrowing Wolf Spider",
  "Desert Tarantula",
  "Carolina Wolf Spider",
  "Turret Spider",
  "California Trapdoor Spider",
  "Black Widow Spider",
  "Daring Jumping Spider",
  "Dimorphic Jumping Spider",
  "Thin-legged Wolf Spider",
  "Metapid Jumping Spider",
  "Inconspicuous Crab Spider",
  "Golden Huntsman Spider",
  "Desert Loxosceles",
  "Selenopid Crab Spider",
  "Brownish-gray Fishing Spider",
  "Rabid Wolf Spider",
  "Six-spotted Fishing Spider",
  "Hammock Spider",
  "Grass Spider",
  "Violin Spider",
  "Wandering Spider",
  "Brown Daddy-long-legs",
  "Spitting Spider",
  "Green Lyssomanes",
  "Green Lynx Spider",
  "Goldenrod Spider",
  "Spider Beetle",
  "Texan Spider Beetle",
  "Bola Spider",
  "Branch-tip Spider",
  "American House Spider",
  "Shamrock Spider",
  "Marbled Orb Weaver",
  "Venusta Orchard Spider",
  "Mabel Orchard Spider",
  "Long-jawed Orb Weaver",
  "Golden-silk Spider",
  "Black-and-yellow Argiope",
  "Silver Argiope",
  "Arrow-shaped Micrathena"
  };

/*--------------------------------- EOF -----------------------------------*/

