#ifndef __GENMDIX_H__
#define __GENMDIX_H__

#include "owl.h"
#include "filedial.h"
#include "inputdia.h"
#include "bwcc.h"
#include "tdrover.h"
#include "lckowl.h"
#include "genmdix2.h"

_CLASSDEF(TGENMDIFrame)
_CLASSDEF(TMyWindow)

class TGENApp : public TApplication {
    public:
	TGENApp(LPSTR name, HANDLE hInstance, HANDLE hPrevInstance, LPSTR lpCmd, int nCmdShow)
		: TApplication(name, hInstance, hPrevInstance, lpCmd, nCmdShow) {};
	virtual void 	InitMainWindow();
};

class TGENMDIFrame : public TMDIFrameTools
{
    protected:

    public:
	TGENMDIFrame(LPSTR ATitle, LPSTR MenuName);
	virtual void	CMCloseType(RTMessage Msg)	= [CM_FIRST + IDM_CLOSETYPE];
	virtual void	CMEnter1(RTMessage Msg)		= [CM_FIRST + IDM_ENTER1];
	virtual void	CMEnter2(RTMessage Msg)		= [CM_FIRST + IDM_ENTER2];
	virtual void	CMNew(RTMessage Msg)		= [CM_FIRST + IDM_NEW];
	virtual void	CMNew2(RTMessage Msg)		= [CM_FIRST + IDM_NEW2];
	virtual void	CMNew3(RTMessage Msg)		= [CM_FIRST + IDM_NEW3];
	virtual void	CMTypeCount(RTMessage Msg)	= [CM_FIRST + IDM_TYPECOUNT];
};

class TMyWindowTools : public TWindowTools
{
    public:
	TMyWindowTools(PTWindowsObject AParent, LPSTR ATitle, WORD AWindowType);
};

class TMyWindowTable : public TWindowTable
{
    public:
	TMyWindowTable(PTWindowsObject AParent, LPSTR ATitle, WORD AWindowType, WORD ATableStyle);
	virtual void	SetupWindow();
};

class TMyMDIChildWindow : public TMDIChildWindow
{
    public:
	TMyMDIChildWindow(PTWindowsObject AParent, LPSTR ATitle, LPSTR ADialogName, WORD AWindowType = NULL);
};

#endif // __GENMDIX_H__

