/*
   Copyright (c) 1993 by Barking Spider Software Inc.  All rights reserved
                                                                           
   Filename...:  treedem2.h
   
   Version....:  1.0
   
   Language...:  Microsoft C/C++ 7.0
   
   Model......:  Small
   
   Environment:  Microsoft Windows 3.1
                                                                           
   Description:  Header for tree control demo
                                                                           
   Notes......:  
                                                                           
   History....:
                                                                              
   Author.....:  Peter J. Kaufman
*/

#define IDR_CLOSED_FOLDER    200
#define IDR_OPEN_FOLDER      210

#define IDR_TREEDEMO_ICON    290

/* Dialog IDs */
   
#define IDD_DIALOG          100
#define IDC_TREE            101
#define IDC_NODE_TEXT_TITLE 102
#define IDC_NODE_TEXT       103
#define IDC_COUNT           104
#define IDC_STATIC          105

/* Menu IDs */

#define IDM_TREE_DIALOG  10
#define IDM_EXIT         11

/* PROTOTYPES */

long FAR PASCAL _export TreeDemo2WndProc ( HWND hwnd,
                                           UINT message,
                                           UINT wParam,
                                           LONG lParam);

BOOL FAR PASCAL _export TreeDlgProc (HWND hwnd,
                                     UINT message,
                                     UINT wParam,
                                     LONG lParam) ;

WORD HandleAddChildrenError( HWND hwnd, WORD wErrCode);


HBITMAP CreateBackgroundMatchedBitmap (DWORD dwrgbBackground,
                                       int nBitmapResouce);

short ChangeBitmapToMatchBackground ( DWORD dwrgbBackground,
                                      HANDLE hBitmap,
                                      int nBitmapResouce);

/*--------------------------------- EOF -----------------------------------*/

